MENU_ITEM_VALUE(3)

NAME
item_value, set_item_value - menu library

LIBRARY
libmenu

SYNOPSIS
#include <menu.h>
int
item_value(ITEM *item);
int
set_item_value(ITEM *item, int flag);

DESCRIPTION
The item_value() function returns value of the item. If the item has been selected then this value will be TRUE. The value can also be set by calling set_item_value() to set the value to a defined state. Setting the value to a value other than TRUE or FALSE will have undefined results.

RETURN VALUES
The functions return one of the following error values:

E_OK			The function was successful
E_NOT_CONNECTED		The item is not connected to a menu.
E_REQUEST_DENIED	The menu driver could not process the request.

SEE ALSO
curses(3), menus(3)

NOTES
The header <menus.h> automatically includes both <curses.h> and <eti.h>